stats-revues
============

Outil de statistiques descriptives sur les métadonnées moissonnées sur la base 
**ISTEX** par **m2m** portant principalement sur les revues et donnant le titre,  
l’ISSN, la période de publication, les catégories WoS et Science-Metrix.

Par défaut, cet outil traite seulement les métadonnées des documents ayant le 
type de publication “journal”. Mais on peut limiter les statistiques à un ou 
plusieurs types de publication et/ou document comme “article” ou “research-article”. 

Le résultat est un fichier UTF-8 avec BOM comportant en en-tête la liste des champs. 
Ce fichier est envoyé sur la sortie standard.

### Usage
```
   statsRevues.pl -f fichier [ -t type1[,type2]* ]
```

### Options
```
   -f  indique le fichier de métadonnées généré par le programme “m2m.pl”. Ce 
       fichier est normalement compressé par “gzip”. 
   -t  indique le type de publication et/ou de document à traiter. Par défaut, 
       c’est le type de publication “journal”. Si vous utilisez cette option, 
       la valeur par défaut est effacée. N’oubliez pas de rajouter “journal” 
       à votre liste de types de document si vous voulez continuer à ne 
       traiter que les revues.
```

### Exemple
```
   statsRevues.pl -f EnvironmentWoS.txt.gz
   statsRevues.pl -f GeosciencesWoS.txt.gz -t journal,article,research-article
```

### Données extraites

Pour l’instant, on a 7 champs :

 * nombre de documents,
 * titre du périodique (ou de la monographie),
 * ISSN,
 * e-ISSN,
 * date(s) de publication,
 * liste des catégories WoS associées au périodique,
 * liste des catégories Science-Metrix associées au périodique,
